<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activities.NewsReportDetailsActivity">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@color/appblue">


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/imgback"
            android:layout_width="@dimen/dimen_50dp"
            android:layout_height="@dimen/dimen_50dp"
            android:padding="@dimen/dimen_10dp"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/dimen_10dp"
            app:srcCompat="@drawable/ic_arrow"/>



        <TextView

            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:gravity="center"
            android:text="Preview"
            android:textStyle="bold"
            android:textSize="@dimen/dimen_18sp"
            android:textColor="@android:color/white"
            />


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/imgEdit"
            android:layout_width="@dimen/dimen_50dp"
            android:layout_height="@dimen/dimen_50dp"
            android:padding="@dimen/dimen_10dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/dimen_10dp"
            app:srcCompat="@drawable/ic_edit"/>




    </RelativeLayout>

    <ScrollView
        android:id="@+id/scroll"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:focusableInTouchMode="true"
        android:layout_weight="0.15"
        android:descendantFocusability="blocksDescendants"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:focusableInTouchMode="true"
            android:descendantFocusability="blocksDescendants"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">



                <ImageView
                    android:id="@+id/imgNews"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_250dp"

                    android:scaleType="centerCrop"/>


                <TextView

                    android:id="@+id/txtTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:gravity="bottom|left"
                    android:maxLines="2"
                    android:ellipsize="end"
                    android:text=""
                    android:layout_margin="@dimen/dimen_10dp"

                    android:textStyle="bold"
                    android:textSize="@dimen/dimen_18sp"
                    android:padding="@dimen/dimen_4dp"
                    android:textColor="@android:color/black"
                    />





            </LinearLayout>


            <TextView

                android:id="@+id/txtContent"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="bottom|left"

                android:layout_margin="@dimen/dimen_10dp"
                android:text=""

                android:visibility="visible"


                android:textStyle="bold"
                android:textSize="@dimen/dimen_15sp"

                android:textColor="@android:color/black"
                />






            <androidx.cardview.widget.CardView
                android:id="@+id/videocard"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardCornerRadius="@dimen/dimen_4dp"
                app:cardElevation="@dimen/dimen_4dp"
                app:cardUseCompatPadding="true">

                <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                    android:layout_width="fill_parent"
                    android:layout_height="@dimen/dimen_250dp"
                    android:layout_margin="@dimen/dimen_10dp">

                    <VideoView android:id="@+id/videoview"
                        android:layout_alignParentTop="true"
                        android:layout_alignParentBottom="true"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentRight="true"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent">
                    </VideoView>

                </RelativeLayout>
            </androidx.cardview.widget.CardView>



        </LinearLayout>




    </ScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="bottom"
        android:layout_weight="0.85">



        <Button
            android:id="@+id/btnSubmit"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"

            android:background="@color/appblue"
            android:text="Post"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="@dimen/dimen_18sp"
            />
    </LinearLayout>

</LinearLayout>